using System.ComponentModel.DataAnnotations;

namespace DreamsCaster.Models;

public class Release : IdEntity
{
	public DateTime ReleaseDate { get; set; }

	[Required]
	public virtual Game Game { get; set; }
	[Required]
	public virtual Console Console { get; set; }

	public static Release New(DateTime date, Console console)
		=> new()
		{
			ReleaseDate = date, Console = console
		};
}